package sun.management.snmp.jvminstr;

import sun.management.snmp.jvmmib.JvmMemMgrPoolRelTableMeta;
import sun.management.snmp.jvmmib.JvmMemPoolTableMeta;
import sun.management.snmp.jvmmib.JvmMemGCTableMeta;
import sun.management.snmp.jvmmib.JvmMemManagerTableMeta;
import javax.management.MBeanServer;
import com.sun.jmx.snmp.agent.SnmpStandardObjectServer;
import com.sun.jmx.snmp.agent.SnmpMib;
import sun.management.snmp.jvmmib.JvmMemoryMeta;

public class JvmMemoryMetaImpl extends JvmMemoryMeta
{
    static final long serialVersionUID = -6500448253825893071L;
    
    public JvmMemoryMetaImpl(SnmpMib snmpMib, SnmpStandardObjectServer snmpStandardObjectServer) {
        super(snmpMib, snmpStandardObjectServer);
    }
    
    protected JvmMemManagerTableMeta createJvmMemManagerTableMetaNode(String s, String s2, SnmpMib snmpMib, MBeanServer mBeanServer) {
        return new JvmMemManagerTableMetaImpl(snmpMib, this.objectserver);
    }
    
    protected JvmMemGCTableMeta createJvmMemGCTableMetaNode(String s, String s2, SnmpMib snmpMib, MBeanServer mBeanServer) {
        return new JvmMemGCTableMetaImpl(snmpMib, this.objectserver);
    }
    
    protected JvmMemPoolTableMeta createJvmMemPoolTableMetaNode(String s, String s2, SnmpMib snmpMib, MBeanServer mBeanServer) {
        return new JvmMemPoolTableMetaImpl(snmpMib, this.objectserver);
    }
    
    protected JvmMemMgrPoolRelTableMeta createJvmMemMgrPoolRelTableMetaNode(String s, String s2, SnmpMib snmpMib, MBeanServer mBeanServer) {
        return new JvmMemMgrPoolRelTableMetaImpl(snmpMib, this.objectserver);
    }
}
